#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.12
visibility:           public
id:                   stm-hamt-1.2.0.12-Azkr8TwkHFxFTFXhF6eM8o
key:                  stm-hamt-1.2.0.12-Azkr8TwkHFxFTFXhF6eM8o
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by
    <http://hackage.haskell.org/package/stm-containers the "stm-containers" library>.

category:             Data Structures, STM, Concurrency
abi:                  2ceb68be5a864b7a638e53db5f031060
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.12
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.12-Azkr8TwkHFxFTFXhF6eM8o
depends:
    base-4.15.1.0 deferred-folds-0.9.18.3-6tnDMkkH6QMGKYMMkiR9Pr
    focus-1.0.3.1-9lMjQmEzpi8DkHbIy50AZE
    hashable-1.4.3.0-ESEjVh9IF6l3kXlrvIyche
    list-t-1.0.5.4-IDEN3pFNRPWD83XoREpOs9
    primitive-0.7.4.0-8SmDsFCxSqgE7BzeiM7pZ4
    primitive-extras-0.10.1.7-2JXp9zLgb6LBQLWtGsDSIo
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

